System.ServiceModel 4.0.0.0 System.ServiceModel.FaultException To be added.

Catch the object in a indigo1 client application to handle a SOAP fault that has been contractually specified in an operation contract.

Typical deployed services use the to formally specify all SOAP faults that a client can expect to receive in the normal course of an operation. Error information in a appears as a (where the type parameter is the serializable error object specified in the operation's ) when it arrives at a client application. The can be used to specify SOAP faults for both two-way service methods and for asynchronous method pairs.

Because is both a and therefore a , to catch specified SOAP faults make sure you catch the types prior to the and types or handle the specified exceptions in one of those exception handlers.

If you use to specify a where the type parameter is a , the string value is assigned to the property in the client application; clients cannot retrieve that string by calling the method. To have the string value returned when the client application calls , throw a exception inside the operation and pass the string to the constructor.
In general, it is recommended that detail types be custom serializable types appropriate to the fault and not a .

Used in a client application to catch contractually-specified SOAP faults.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified serialization information and context when deserializing a stream into a object.

  The serialization information necessary to reconstruct the object from the .
  The stream from which to reconstruct the object.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Method
  4.0.0.0
  System.ServiceModel.Channels.MessageFault To be added.

  Creates a object that can be used to create a that represents the SOAP fault.

  The message fault created.

- Property
  4.0.0.0
  TDetail To be added. To be added.

  Gets the object that contains the detail information of the fault condition.

- Method
  4.0.0.0
  System.Void `` `` To be added.

  Implementation of the method that is called when the object is serialized into a stream.

  The serialization information to which the object data is added when serialized. The destination for the serialized object.
- Method
  4.0.0.0
  System.String To be added.

  Returns a string for the object.

  The string for the SOAP fault.